cURL
curl --request GET \
--url https://api-test.drop-hub.com/v2/external/shipments/{shipmentId}/tracking \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-test.drop-hub.com/v2/external/shipments/{shipmentId}/tracking"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-test.drop-hub.com/v2/external/shipments/{shipmentId}/tracking', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"shipmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lifecycleState": "PENDING_APPROVAL",
"locationStatus": "NOT_ASSIGNED",
"recommendedRefreshSeconds": 32,
"driverLocation": {
"latitude": 0,
"longitude": 0,
"accuracyMetres": 1,
"recordedAt": "2023-11-07T05:31:56Z",
"stale": true,
"ageSeconds": 1
}
}{
"type": "https://api.drop-hub.com/problems/access-denied",
"title": "Access denied",
"status": 403,
"detail": "Access to this resource is denied.",
"instance": "/v2/external/shipments/018f2d8a-1f00-7000-8000-000000000206",
"code": "ACCESS_DENIED",
"timestamp": "2026-08-22T18:30:00Z",
"correlationId": "018f2d8a-1f00-7000-8000-000000000207",
"requestId": "018f2d8a-1f00-7000-8000-000000000208"
}External Tracking
Get v2externalshipments tracking
GET
/
v2
/
external
/
shipments
/
{shipmentId}
/
tracking
cURL
Authorizations
OAuth 2.0 client-credentials flow for external machine-to-machine integrations.
Headers
Preferred response language when a localized representation is available.
Maximum string length:
64Example:
"en"
Path Parameters
Response
Privacy-controlled canonical tracking projection
Available options:
PENDING_APPROVAL, READY_FOR_DISPATCH, OFFERED, ACCEPTED, DISPATCH_UNRESOLVED, PICKED_UP, OUT_FOR_DELIVERY, DELIVERED, DELIVERY_FAILED, CANCELLED Available options:
NOT_ASSIGNED, WAITING_FOR_DRIVER_ACCEPTANCE, LOCATION_UNAVAILABLE, AVAILABLE, STALE, TERMINAL_NO_LIVE_LOCATION Required range:
5 <= x <= 60Show child attributes
Show child attributes
⌘I
